server {
    listen         {{ item.value.listen | default(80) }};
    listen    [::]:{{ item.value.listen | default(80) }};

    server_name    {{ item.value.domains | join(' ') }};

    return 301 https://$host$request_uri;
}

server {
    listen 443 ssl http2;
    listen [::]:443 ssl http2;

    server_name    {{ item.value.domains | join(' ') }};

    access_log /var/log/nginx/{{ item.key }}_access.log;
    error_log /var/log/nginx/{{ item.key }}_error.log error;

    root /var/www/html/;
    index {{ item.value.nginx_conf_file_name }}_index.html index.html index.htm index.nginx-debian.html;

    # cf https://ssl-config.mozilla.org/
    ssl_certificate /etc/ssl/certs/interhop_server.crt; 
    ssl_certificate_key /etc/ssl/private/interhop_server.key;
    ssl_session_timeout 1d;
    ssl_session_cache shared:MozSSL:10m;  # about 40000 sessions
    ssl_session_tickets off;

    # intermediate configuration
    ssl_protocols TLSv1.2 TLSv1.3;
    ssl_ciphers ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:DHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384;
    ssl_prefer_server_ciphers off;

    # HSTS (ngx_http_headers_module is required) (63072000 seconds)
    add_header Strict-Transport-Security "max-age=63072000" always;

    # OCSP stapling
    #ssl_stapling on;
    #ssl_stapling_verify on;
    #ssl_trusted_certificate /etc/ssl/trusted_ca/interhop_ca.crt;

}
